Create company
curl --request POST \
--url https://api.upwell.com/api/rest/companies \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"addresses": {},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"dunsNumber": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"primaryEmailAddress": "<string>",
"primaryPhone": "<string>",
"shipments": {},
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"termsOfService": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"website": "<string>"
}
}
'import requests
url = "https://api.upwell.com/api/rest/companies"
payload = { "input": {
"addresses": {},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"dunsNumber": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"primaryEmailAddress": "<string>",
"primaryPhone": "<string>",
"shipments": {},
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"termsOfService": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"website": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
addresses: {},
createdAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
dunsNumber: '<string>',
id: '<string>',
logoUrl: '<string>',
mcNumber: '<string>',
name: '<string>',
primaryEmailAddress: '<string>',
primaryPhone: '<string>',
shipments: {},
sourceSystem: '<string>',
sourceSystemId: '<string>',
sourceSystemMeta: '<unknown>',
termsOfService: '<string>',
updatedAt: '2023-11-07T05:31:56Z',
website: '<string>'
}
})
};
fetch('https://api.upwell.com/api/rest/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createCompany": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"dunsNumber": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"primaryEmailAddress": "<string>",
"primaryPhone": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"termsOfService": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"website": "<string>"
}
}Companies
Create company
Create a new company record.
POST
/
api
/
rest
/
companies
Create company
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Body
application/json
Query parameters can also be provided in the request body as a JSON object
input type for inserting data into table "companies"
Show child attributes
Show child attributes
Response
200 - application/json
Responses for POST /api/rest/companies
Companies table - stores all company entities with their branding, contact info, and MC numbers. Each tenant can have multiple companies for different divisions or legal entities.
Show child attributes
Show child attributes
⌘I

